%define drakxtools_required_version  10.4.89
%define drakxtools_conflicted_version  10.4.88

%define libname %mklibname %{name}

Summary:  Backup and restore the system
Name:     drakbackup
Version:  0.19.2
Release:  %mkrel 2
Source0:  %name-%version.tar.xz
License:  GPL
Group:    Archiving/Backup
BuildRequires: perl-MDK-Common
Requires: drakxtools => %drakxtools_required_version
Requires: common-licenses
Requires: usermode-consoleonly >= 1.92
BuildRoot: %_tmppath/%name-%version-buildroot
# for program:
Conflicts: drakxtools <= %drakxtools_conflicted_version
# for man pages:
Conflicts: drakxtools-curses <= %drakxtools_conflicted_version
BuildArch: noarch

%description
Drakbackup enables backing up and restoring the system from a
module in the UPLOS Control Center (Configure your
Computer).

It provides full, incremental, or differential backups and can
exclude files or directories listed in a .backupignore file.

Use with non-.bfs kernel for best results, to avoid scheduler
thrashing which could make the machine unresponsive
until the backup completes.

%prep
%setup -q

%build

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

#install lang
%find_lang %name

# consolehelper configuration
# ask for root password
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/drakbackup
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/drakbackup <<EOF
USER=root
PROGRAM=/usr/sbin/drakbackup
FALLBACK=false
SESSION=true
EOF
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
ln -sf %{_sysconfdir}/pam.d/mandriva-simple-auth %{buildroot}%{_sysconfdir}/pam.d/drakbackup
# make menu entry call the consolehelper link
cat > %{buildroot}%{_datadir}/applications/drakbackup.desktop <<FE
[Desktop Entry]
Name=Drakbackup
Comment=Backups
Exec=/usr/bin/drakbackup
Icon=/usr/share/mcc/themes/default/backup-mdk.png
Type=Application
Categories=Archiving;X-UPLOSLinux-Archiving-Backup;
StartupNotify=false
NoDisplay=true
FE


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog
%config(noreplace) %_sysconfdir/pam.d/%name
%config(noreplace) %_sysconfdir/security/console.apps/%name
%_bindir/%name
%_sbindir/%name
/usr/lib/libDrakX/icons/ic82-back-up-48.png
/usr/share/libDrakX/pixmaps/ic82-CD-40.png
/usr/share/libDrakX/pixmaps/ic82-discdurwhat-40.png
/usr/share/libDrakX/pixmaps/ic82-dossier-32.png
/usr/share/libDrakX/pixmaps/ic82-moreoption-40.png
/usr/share/libDrakX/pixmaps/ic82-others-40.png
/usr/share/libDrakX/pixmaps/ic82-system-40.png
/usr/share/libDrakX/pixmaps/ic82-tape-40.png
/usr/share/libDrakX/pixmaps/ic82-users-40.png
/usr/share/libDrakX/pixmaps/ic82-when-40.png
/usr/share/libDrakX/pixmaps/ic82-where-40.png
/usr/share/applications/%{name}.desktop
%_mandir/man1/%{name}.1.bz2
%_mandir/man5/%{name}.conf.5.bz2



%changelog
* Wed Sep 19 2012 Neal <nealbrks0 at gmail dot com> 0.19.2-1pclos2012
- convert to xz compresion
-process

* Fri Sep 7 2012 kjpetrie <pclos dot bugs at instabook dot com> 0.19.2-1pclos2012
- 64 bit (no change needed)
- removed wildcards from files section

* Fri Apr 23 2010 kjpetrie <pclos dot bugs at instabook dot com> 0.19.2-1pclos2010
- upgrade to current version

* Fri Apr 18 2009 pcserver@hushmail.com> 0.18-2pclos2007
- adjust spec file

* Fri Mar 27 2009 Texstar <texstar@gmail.com> 0.18-1pclos2007
- import from Thierry Vignaud
